<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:tx="http://www.springframework.org/schema/tx"
       xmlns:task="http://www.springframework.org/schema/task"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
	http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
	http://www.springframework.org/schema/context
	http://www.springframework.org/schema/context/spring-context-3.0.xsd

	http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-3.0.xsd


    http://www.springframework.org/schema/task
     http://www.springframework.org/schema/task/spring-task-3.0.xsd">
    <!--  CLOB 处理-->

    <!--spring扫描注解的配置   -->
    <context:component-scan base-package="com.hst.task"/>


    <!--开启这个配置，spring才能识别@Scheduled注解 -->
    <task:annotation-driven scheduler="qbScheduler" mode="proxy"/>
    <task:scheduler id="qbScheduler" pool-size="20"/>
    <task:scheduled-tasks scheduler="qbScheduler">
        <task:scheduled ref="taxCommonScuduler" method="doGetJhxtJhxxList" cron="*/5 * 8-19 * * ?"/>
  		<task:scheduled ref="jhsjTsScuduler" method="queryUploadTask" cron="1 */30 6-20 * * ?"/>
        <task:scheduled ref="jhsjTsScuduler" method="doExecuteSqlScript" cron="1 */30 8-20 * * ?"/>
        <task:scheduled ref="taxCommonScuduler" method="doUploadServerTime"  cron="0 0 8,17 * * ? "/>
     <task:scheduled ref="taxCommonScuduler" method="doInitApiUrl"  cron="*/5 * 6-20 * * ?"/>
    </task:scheduled-tasks>
    <task:scheduler id="zhdtMqTask" pool-size="20"/>
    <task:scheduled-tasks scheduler="zhdtMqTask">
        <task:scheduled ref="zhdtMqScuduler" method="doYWFL" cron="*/5 * 8-20 * * ?"/>
        <task:scheduled ref="zhdtMqScuduler" method="doYWLTJ" cron="*/5 * 8-20 * * ?"/>
        <task:scheduled ref="zhdtMqScuduler" method="doRLLXX" cron="*/5 * 8-20 * * ?"/>
        <task:scheduled ref="zhdtMqScuduler" method="doYWFLDHXX" cron="*/5 * 8-20 * * ?"/>
        <task:scheduled ref="zhdtMqScuduler" method="doDQHHLIST" cron="*/5 * 8-20 * * ?"/>
  	<task:scheduled ref="zhdtMqScuduler" method="doYjJs" cron="*/5 * 6-20 * * ?"/>
         
 	<!--XXTS-->
        <task:scheduled ref="zhdtXxtsScuduler" method="doXxtsJshhxx" cron="*/1 * 8-20 * * ?"/>
        <task:scheduled ref="zhdtXxtsScuduler" method="doXxtsJjhhxx" cron="*/1 * 8-20 * * ?"/>
	    <task:scheduled ref="zhdtXxtsScuduler" method="doXxtsMydpj" cron="*/1 * 8-20 * * ?"/>
        <!--XXTS END  -->

    </task:scheduled-tasks>

</beans>